Subject: Re: testh.f90

From: Zheng Gengbing <[email-masked]>
Date: Tue, 7 May 1996 09:11:28 +0800 (EAT)

On Mon, 6 May 1996, Guansong Zhang wrote:

> On May 6, 11:33am, Zheng Gengbing wrote:
> > Subject: Re: conments on 1.45
> > On Sat, 4 May 1996, Guansong Zhang wrote:
> >
> > > My question to pku is are you sure about e9 in testh.f90? They are:
> > >
> > > hpfcc: line 469 error 160:The mask expression of where statement must be a
> > > array .
> >
> >
> > 	In where construct , mask expression must be a array . This is a
> > constraint .
> >
> >
> > > hpfcc: line 470 error 117:The subscript must match the rank of the variable
> !
> >
> >
> >
> > 	In my version , no this error report now , maybe hpfcc have not
> > adjusted to new version at that time .
> >
> >
> > > hpfcc: line 476 error 160:The mask expression of where statement must be a
> > > array .
> >
> >
> > 	same as above.
> >
> >
> > > hpfcc: line 490 error 117:The subscript must match the rank of the variable
> !
> >
> >
> > 	same as above.
> >
> >
> > > hpfcc: line 531 error 460:dummy 'dum1' should be specificated the intent
> > > attribute
> > > hpfcc: line 531 error 460:dummy 'dum2' should be specificated the intent
> > > attribute
> > > hpfcc: line 531 error 460:dummy 'dum3' should be specificated the intent
> > > attribute
> > > hpfcc: line 531 error 460:dummy 'dum4' should be specificated the intent
> > > attribute
> >
> >
> >
> > 	In PURE subroutine , it seems tha every dummy must declared intent
> > attribute . I am not very sure about this, I will ask my co-worker.
> >
> >
> >
> > > hpfcc: line 536 error 520:function fun2 and result res2 type mismatched
> > >
> >
> >
> > 	This is wrong reported . I have correct it.
> >
> >
> >
> > > And test8 can be passed by 1.38, Do we decide this is a limitation?
> > >
> >
> >
> >
> > 	Because after modification of HIT ( add in_prog rule to prevent the
> > case that no prohgram statement head present ) , there still  a
> > warnig of delete_scope in test8 . So I think the change of HIT is not very
> > ideal .
> > I tried my method , it's now ok.
> >
> >
> >
> >
> > ***************************************************************************
> > *     Zheng Gengbin                 *                                     *
> > *                                   *                                     *
> > *  Dept. of Computer Science        *  Phone:  86-10-2585088              *
> > *         & Technology              *  Email:                             *
> > *                                   *      [email-masked]   *
> > *  Peking University P.R.China      *  Mail:                              *
> > *                                   *      Room 1077 ,Building 47,        *
> > *                                   *      Peking University, P.R.China   *
> > ***************************************************************************
> >
> >
> >-- End of excerpt from Zheng Gengbing
> 
> Now on my machine with the latest version, hpfcc will only report the following
> to testh.dep
> 
> hpfcc: line 490 error 117:The subscript must match the rank of the variable !
> hpfcc: line 531 error 460:dummy 'dum1' should be specificated the intent
> attribute
> hpfcc: line 531 error 460:dummy 'dum2' should be specificated the intent
> attribute
> hpfcc: line 531 error 460:dummy 'dum3' should be specificated the intent
> attribute
> hpfcc: line 531 error 460:dummy 'dum4' should be specificated the intent
> attribute
> 
> In stead of 6 on yours! You said now there were 6 errors in the following
> letter.
> 
> What is the problem?
> 
> Guansong

	Because I simply comment out these 2 statement ,
!zgs for 1.40 LOGICAL var15 (2) = .TRUE.
!zgs for 1.40 LOGICAL var17 (2) = .TRUE.

	and not add new one , so we have 6 errors .

	After I add :
LOGICAL :: var15 (2) = .TRUE.
LOGICAL :: var17 (2) = .TRUE.
to testh.f

	now 4 errors remained , still different from you 5 errors . 
I will check it later .

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************